{ config, lib, pkgs, user, ... }:

{
  services.gpg-agent = {
    enable = true;
    enableZshIntegration = true;
    pinentryFlavor = "gtk2";
    extraConfig = ''
      allow-loopback-pinentry
    '';
  };

  programs.gpg = {
    enable = true;
    mutableKeys = false;
    mutableTrust = false;
    publicKeys = [{
      source = ./pubring.asc;
      trust = "ultimate";
    }];
    settings = {
      pinentry-mode = "loopback";
    };
  };
}
